package cn.iocoder.yudao.module.order.convert.orderGuanlian;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderGuanlian.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderGuanlian.OrderGuanlianDO;

/**
 * 订单关联 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderGuanlianConvert {
    /*****转换MapStruct*****/
    OrderGuanlianConvert INSTANCE = Mappers.getMapper(OrderGuanlianConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderGuanlianDO convert(OrderGuanlianCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderGuanlianDO convert(OrderGuanlianUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderGuanlianBackVO convert(OrderGuanlianDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderGuanlianBackVO> convertList(List<OrderGuanlianDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderGuanlianBackVO> convertPage(PageResult<OrderGuanlianDO> page);
}
