package cn.iocoder.yudao.module.order.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * Create by huyf at 2022/9/21 21:33
 */
@Data
@ApiModel("管理后台 - 订单导出对象")
public class OrderExportBackDTO {

    @ExcelProperty("订单编号")
    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ExcelProperty("目的地名称")
    @ApiModelProperty(value = "目的地名称")
    private String objectiveName;

    @ExcelProperty(value = "始发仓库")
    @ApiModelProperty(value = "始发仓库")
    private String startWarehouseName;

    @ExcelProperty("唛头")
    @ApiModelProperty(value = "唛头")
    private String marks;

    @ExcelProperty("订单状态")
    @ApiModelProperty(value = "订单状态")
    private String orderStatus;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private String transportName;

    @ExcelProperty("是否控货")
    @ApiModelProperty(value = "是否控货")
    private String isCargoControl;

    @ExcelProperty("总件数")
    @ApiModelProperty(value = "总件数")
    private String totalNum;

    @ExcelProperty("入仓件数")
    @ApiModelProperty(value = "入仓件数")
    private String sumNum;

    @ExcelProperty("入仓体积")
    @ApiModelProperty(value = "入仓体积")
    private String sumVolume;

    @ExcelProperty("入仓重量")
    @ApiModelProperty(value = "入仓重量")
    private String sumWeight;
}
